/* French language texts
 * language/french.h
 * Copyright (C) 1999-2000 Lewis.  All rights reserved.
 * Read the file doc/contact.html for contact information related to 
 * this software. */

/*************************************************************************/

#ifndef FRENCH_H
#define FRENCH_H

/*************************************************************************/

/* English language texts are stored in the array below.  Each language text
 * has a numeric assignment which is how the function rpl_lang_numeric()
 * returns the proper language text to the calling function.  The order of
 * texts are as follows:
 * CR == Common replies/error replies
 * NS == NickServ replies
 * CS == ChanServ replies
 * MS == MemoServ replies
 * OS == OperServ replies
 * HS == HelpServ replies */

typedef struct {
   int numeric;
   char text[LANG_TEXT_MAX];
} FrenchLang;
FrenchLang frenchlang[] = {
   { LANG_UNDEFINED,		
   "Indfinie." 																		},
   { CR_CMD_MORE_INFO,
   "Pour de plus amples informations, veuillez taper \2/msg %s HELP %s\2."											},
   { CR_CMD_SYNTAX,	
   "Syntax: %s"																		},
   { CR_ACCESS_DENIED,	
   "Accs Refus."																	},
   { CR_PERMISSION_DENIED,
   "Permission Refus."																	},
   { CR_PASSWORD_INCORRECT,
   "Mot de passe incorrecte."																},
   { CR_NO_ONLINE_USER_INFO,	
   "Pas capable de trouver vos informations en directe."												},
   { CR_CHANGES_NO_SAVE_RDONLY,
   "Abra est dans le mode lecture, les changements ne sauront pas sauvegards."							},
   { CR_NO_ACCESS_LEVEL,
   "Votre level est %s, le level obligatoire pour cette commande est %s."									},
   { CR_NOT_OPER_LEVEL,
   "Vous n'tes pas %s, le level obligatoire pour cette commande est %s."									},
   { CR_NICK_IS_FROZEN,
   "Ce pseudo est gel, il ne doit pas tre utiliser pour s'identifer et pour l'utiliser jusqu'a ce qu'il soit dgel."				},
   { CR_CMD_UNKNOWN,
   "La commande \2%s\2 n'est pas disponible, veuillez tapez \2/msg %s HELP\2 pour de plus amples informations."						},
   { CR_CMD_SET_UNKNOWN,
   "Cette commande \2%s\2 de SET n'est pas disponible, veuillez tapez \2/msg %s HELP SET\2 pour de plus amples informations.."					},
   { CR_PASSWORD_AUTH_REQUIRED,
   "Authentification au mot de passe est obligatoire pour cette commande."											},
   { CR_RETRY_AFTER_TYPE,
   "Ressayer aprs avoir taper \2/msg %s IDENTIFY <password>."											},
   { CR_NICK_NOT_REGISTERED,
   "Ce pseudo \2%s\2 n'est pas enregistr."															},
   { CR_NICK_ALREADY_REGISTERED,
   "Ce pseudo \2%s\2 est dj enregistr."														},
   { CR_YOUR_NICK_NOT_REGISTERED,
   "Ton nickname n'est pas enregistr."															},
   { CR_PLEASE_WAIT_SEC,
   "Veuillez attendre %d secondes avant d'utiliser %s encore."										},
   { CR_CHAN_NOT_REGISTERED,
   "Le Canal \2%s\2 n'est pas enregistr."										},
   { CR_CHAN_ALREADY_REGISTERED,
   "Le Canal \2%s\2 est dj enregistr."										},
   { CR_NOT_REG_LOCAL,
   "Vous ne pouvez pas enregistr un canal locale."										},



   { MS_DOES_NOT_WANT_MEMOS,
   "\2%s\2 ne veut pas recevoir de mmos en ce moment."											},
   { MS_MEMO_SENT,
   "Le mmo a t envoyer  \2%s\2."															},
   { MS_HAVE_NEW_MEMO_INBOX,
   "Vous avez un nouveau mmo dans votre bote de rception de \2%s\2."											},
   { MS_PLEASE_TYPE_READ_IT,
   "Veuillez tapez \2/msg %s READ %s %d\2 pour le lire."												},
   { MS_HAVE_NEW_MEMO_MAIL,
   "Vous avez un nouveau mmo dans votre bote aux lettres de \2%s\2."											},
   { MS_YOU_HAVE_NO_MEMOS,
   "Vous n'avez pas de mmos."																	},
   { MS_YOU_HAVE_NO_MEMOS_INBOX,
   "Vous n'avez pas de mmos dans votre bote de rception."												},
   { MS_YOU_HAVE_NO_MEMOS_MAIL,
   "Vous n'avez pas de mmos dans votre bote aux lettres."													},
   { MS_MEMO_TYPE,
   "Memo type: "																		},
   { MS_MEMO_NOT_EXIST_INBOX,
   "Le mmo %d dans votre bote de rception n'existe pas."												},
   { MS_MEMO_NOT_EXIST_MAIL,
   "Le mmo %d dans votre bote aux lettres n'existe pas."												},
   { MS_MEMO_NOT_EXIST_TRASH,
   "Le mmo %d dans la corbeille n'existe pas."												},
   { MS_NICK_NOW_HAVE_MEMO_NOLIMIT,
   "Le pseudo \2%s\2 n'a pas dfini les limites des mmos et peut recevoir infiniment de mmos."													},
   { MS_NICK_NOW_HAVE_MEMO_LIMIT,
   "Le pseudo \2%s\2  maintenant une limite pour ces mmos de \2%d\2 ."							},
   { MS_NICK_HAS_TOO_MANY_MEMOS,
   "Le pseudo \2%s\2 a trop de mmos (%d) et ne peut en recevoir d'autre."									},
   { MS_MEMO_LIST_HEADER_INBOX,
   "Mmos pour la bote de rception de %s. Pour lire un mmo de votre bote de rception, veuillez tapez \2/msg %s READ INBOX <numro>.\2"		},
   { MS_MEMO_LIST_HEADER_INBOX_N,
   "Nouveaux mmos dans la bote de rception de %s. Pour lire un mmo de votre bote de rception, veuillez tapez \2/msg %s READ INBOX <numro>.\2"	},
   { MS_MEMO_LIST_HEADER_MAIL,
   "Mmos dans la bote aux lettres pour %s. Pour lire un mmo de votre bote aux lettres, veuillez tapez \2/msg %s READ INBOX <numro>.\2"		},
   { MS_MEMO_LIST_HEADER_MAIL_N,
   "Nouveaux mmos dans la bote aux lettres pour %s. Pour lire un mmo de votre bote de rception, veuillez tapez \2/msg %s READ INBOX <numro>.\2"		},
   { MS_MEMO_LIST_HEADER_TRASH,
   "Mmos dans la corbeille pour %s.  Pour lire un mmo dans votre corbeille, veuillez tapez \2/msg %s READ INBOX <numro>.\2"		},
   { MS_MEMO_LIST_HEADER_TRASH_N,
   "Nouveaux mmos dans la corbeille pour %s.  Pour lire un mmo dans la corbeille, veuillez tapez \2/msg %s READ INBOX <numro>.\2"	},
   { MS_MEMO_LIST_HEADER_FOLDERS,
   "Dossier des mmos pour %s. Pour ouvrir un dossier, tapez \2/msg %s LIST <dossier>.\2"								},
   { MS_MEMO_LIST_FOLDERS,
   "InBox (%d)     Mail (%d)     Trash (%d)"													},

   { MS_NICK_HAVE_NO_MEMOS,
   "Le pseudo \2%s\2 n'a pas de mmos."																	},
   { MS_NICK_HAVE_NO_MEMOS_INBOX,
   "Le pseudo \2%s\2 n'a pas de mmos dans sa bote de rception."												},
   { MS_NICK_HAVE_NO_MEMOS_MAIL,
   "Le pseudo \2%s\2 n'a pas de mmos dans sa bote aux lettres."													},
   { MS_NICK_MEMO_LIST_HEADER_INBOX,
   "Nouveaux mmos dans la bote de rception de %s.  Pour lire un mmo dans sa boite, tapez \2/msg %s RREAD %s INBOX <numro>.\2"		},
   { MS_NICK_MEMO_LIST_HEADER_INBOX_N,
   "Nouveaux mmos dans la bote de rception pour %s.  Pour lire un mmo dans sa boite, tapez \2/msg %s RREAD %s INBOX <numro>.\2"	},
   { MS_NICK_MEMO_LIST_HEADER_MAIL,
   "Mmos dans la bote aux lettres pour %s.  Pour lire un mmo dans sa boite, tapez \2/msg %s RREAD %s MAIL <numro>.\2"		},
   { MS_NICK_MEMO_LIST_HEADER_MAIL_N,
   "Nouveaux mmos dans la bote aux lettres pour %s.  Pour lire un mmo dans sa boite, tapez \2/msg %s RREAD %s MAIL <numro>.\2"		},
   { MS_NICK_MEMO_LIST_HEADER_TRASH,
   "Mmos dans la corbeille pour %s.  Pour lire un mmo dans sa boite, tapez \2/msg %s RREAD %s TRASH <numro>.\2"		},
   { MS_NICK_MEMO_LIST_HEADER_TRASH_N,
   "Nouveaux mmos dans la corbeille pour %s.  Pour lire un mmo dans sa boite, tapez \2/msg %s RREAD %s TRASH <numro>.\2"	},
   { MS_NICK_MEMO_LIST_HEADER_FOLDERS,
   "Dossier de mmos pour %s.  Pour ouvrir un dossier, tapez \2/msg %s RLIST %s <dossier>.\2"								},

/* HAVE TO SET IN .C CODE */
   { MS_MEMO_SENT_ADMIN,
   "Le mmo  t envoy  toute les %d administrators."											},
   { MS_MEMO_SENT_OPER,
   "Le mmo  t envoy  tous les IRCops."											},
   { MS_MEMO_SENT_USER,
   "Le mmo  t envoy  tout les pseudo enregistrs."											},
   { MS_MEMO_NO_SEND_ADMIN_HIGH,
   "Vous ne pouvez pas envoyer de mmo  quelqu'un qui est suprieur  vous."											},
   { MS_MEMO_LEVEL_MUST_BE_INT,
   "Le level doit tre plus haut."											},
   { MS_MEMO_LEVEL_MUST_INT_INC,
   "Le level doit tre compris entre %d et %d inclusivement."											},
   { MS_MEMO_SET_NOTIFY_ON,
   "%s va vous informer des mmos reu quand vous vous connecter et quand ils sont envoys  vous."											},
   { MS_MEMO_SET_NOTIFY_LOGON,
   "%s va vous informer des mmos reu quand vous vous connecter et quand vous revenez de /away."								},
   { MS_MEMO_SET_NOTIFY_NEW,
   "%s va vous informer des mmos reu quand ils sont envoys  vous."							},
   { MS_MEMO_SET_NOTIFY_OFF,
   "%s ne vous envoyera pas aucune information  propos des mmos reus."									},
/* HAVE TO SET IN .C CODE */

   { NS_PLEASE_ADVISE_FIND, 
   "Cette commande a t cre pour vous aider a trouver des personnes qui peuvent vous aider avec"
   " les possessions de pseudos et de canal en tout temps. Deplus, vous pouvez venir chercher de l'aide en faisant /join"
   " #infatech ou /join #services."											},
   { NS_NOT_OPER_ON_USER,
   "L'option de IRC operator pour ton pseudo n'a pas t configurer, vous devez l'avoir pour cette commande."								},
   { NS_PLEASE_SET_IRCOP,
   "Svp, configurer cette option en tapant \2/msg %s SET IRCOP ON\2."								},

   { -1 }
};

/*************************************************************************/

#endif

/*************************************************************************/