/* Language numerics
 * language/numeric.h
 * Copyright (C) 2000-2001 DarkSiderz Net.  All rights reserved.
 * Read the file doc/contact.html for contact information related to 
 * this software. */

/*************************************************************************/

#ifndef NUMERIC_H
#define NUMERIC_H

/*************************************************************************/

/* The defined maximum length of a language numerical reply, in bytes. */
#define LANG_TEXT_MAX	512

/* Numeric's for language replies, called from rpl_numeric. */
#define LANG_UNDEFINED				0
#define CR_CMD_MORE_INFO			1
#define CR_CMD_SYNTAX				2
#define CR_ACCESS_DENIED			3
#define CR_PERMISSION_DENIED			4
#define CR_PASSWORD_INCORRECT			5
#define CR_NO_ONLINE_USER_INFO			6
#define CR_CHANGES_NO_SAVE_RDONLY		7
#define CR_NO_ACCESS_LEVEL			8
#define CR_NOT_OPER_LEVEL			9
#define CR_NICK_IS_FROZEN			10
#define CR_CMD_UNKNOWN				11
#define CR_CMD_SET_UNKNOWN			12
#define CR_PASSWORD_AUTH_REQUIRED		13
#define CR_RETRY_AFTER_TYPE			14
#define CR_NICK_NOT_REGISTERED			15
#define CR_NICK_ALREADY_REGISTERED		16
#define CR_YOUR_NICK_NOT_REGISTERED		17
#define CR_PLEASE_WAIT_SEC			18
#define CR_CHAN_NOT_REGISTERED			19
#define CR_CHAN_ALREADY_REGISTERED		20
#define CR_NOT_REG_LOCAL			21
#define CR_KILL_YLINE_OPER			22
#define CR_KILL_YLINE_USER			23
#define CR_KILL_BAD_PASS			24
#define CR_KILL_ENFORCE				25
#define CR_GUEST_ENFORCE			26
#define CR_NOOP_DEOP				27

/* Room for expansion, we do not need a particular order here. */
#define MS_DOES_NOT_WANT_MEMOS		30
#define MS_MEMO_SENT				31
#define MS_HAVE_NEW_MEMO_INBOX		32
#define MS_HAVE_NEW_MEMO_MAIL			33
#define MS_PLEASE_TYPE_READ_IT		34
#define MS_YOU_HAVE_NO_MEMOS			35
#define MS_YOU_HAVE_NO_MEMOS_INBOX		36
#define MS_YOU_HAVE_NO_MEMOS_MAIL		37
#define MS_MEMO_TYPE				38
#define MS_MEMO_NOT_EXIST_INBOX		39
#define MS_MEMO_NOT_EXIST_MAIL		40
#define MS_NICK_NOW_HAVE_MEMO_NOLIMIT	41
#define MS_NICK_NOW_HAVE_MEMO_LIMIT		42
#define MS_NICK_HAS_TOO_MANY_MEMOS		43
#define MS_MEMO_NOT_EXIST_TRASH		44
#define MS_MEMO_LIST_HEADER_INBOX		45
#define MS_MEMO_LIST_HEADER_INBOX_N		46
#define MS_MEMO_LIST_HEADER_TRASH		47
#define MS_MEMO_LIST_HEADER_TRASH_N		48
#define MS_MEMO_LIST_HEADER_MAIL		49
#define MS_MEMO_LIST_HEADER_MAIL_N		50
#define MS_MEMO_LIST_HEADER_FOLDERS		51
#define MS_MEMO_LIST_FOLDERS			52
#define MS_NICK_HAVE_NO_MEMOS			53
#define MS_NICK_HAVE_NO_MEMOS_INBOX		54
#define MS_NICK_HAVE_NO_MEMOS_MAIL		55
#define MS_NICK_MEMO_LIST_HEADER_INBOX	56
#define MS_NICK_MEMO_LIST_HEADER_INBOX_N	57
#define MS_NICK_MEMO_LIST_HEADER_TRASH	58
#define MS_NICK_MEMO_LIST_HEADER_TRASH_N	59
#define MS_NICK_MEMO_LIST_HEADER_MAIL	60
#define MS_NICK_MEMO_LIST_HEADER_MAIL_N	61
#define MS_NICK_MEMO_LIST_HEADER_FOLDERS	62
#define MS_NICK_MEMO_LIST_FOLDERS		63
#define MS_MEMO_SENT_ADMIN			64
#define MS_MEMO_SENT_OPER			65
#define MS_MEMO_SENT_USER			66
#define MS_MEMO_NO_SEND_ADMIN_HIGH		67
#define MS_MEMO_LEVEL_MUST_BE_INT		68
#define MS_MEMO_LEVEL_MUST_INT_INC		69
#define MS_MEMO_SET_NOTIFY_ON			70
#define MS_MEMO_SET_NOTIFY_LOGON		71
#define MS_MEMO_SET_NOTIFY_NEW		72
#define MS_MEMO_SET_NOTIFY_OFF		73
#define MS_CHAN_HAVE_NO_MEMOS			74
#define MS_CHAN_HAVE_NO_MEMOS_INBOX		75
#define MS_CHECK_MEMOS_NEW_MEMOS		76
#define MS_CHECK_MEMOS_PLEASE_TYPE		77
#define MS_CHECK_CMEMOS_NEW_MEMOS		78
#define MS_CHECK_CMEMOS_MEMOS			79
#define MS_CHECK_CMEMOS_PLEASE_TYPE		80
#define MS_MEMO_LIST_FORMAT			81

#define NS_PLEASE_ADVISE_FIND			120
#define NS_NOT_OPER_ON_USER			121
#define NS_PLEASE_SET_IRCOP			122

/*************************************************************************/

#endif

/*************************************************************************/