/* Languge handling functions.
 * src/language.c
 * Copyright (C) 2000-2001 DarkSiderz Net.  All rights reserved.
 * Read the file doc/contact.html for contact information related to
 * this software. */

/*************************************************************************/

#ifndef LANGUAGE_C
#define LANGUAGE_C

/*************************************************************************/

#include "services.h"
#include "language/english.h"
#include "language/french.h"

/*************************************************************************/

char *rpl_numeric_lang(const char *source, int numeric)
{
   NickInfo *ni = findnick(source);
   int i;
   char *notext;

   /* Only send language texts other then english if the nick in question is
    * identified for, otherwise we really do not know who this is using the
    * nick, send it all in english. */
   if (ni && (ni->flags & NI_IDENTIFIED)) {
      if ((ni->flags & NI_LANG_ENGLISH)) {
         for (i = 0; englishlang[i].numeric >= 0; i++)
            if (numeric == englishlang[i].numeric)
               return englishlang[i].text;
      } else if ((ni->flags & NI_LANG_FRENCH)) {
         for (i = 0; frenchlang[i].numeric >= 0; i++)
            if (numeric == frenchlang[i].numeric)
               return frenchlang[i].text;
      } else {
         for (i = 0; englishlang[i].numeric >= 0; i++)
            if (numeric == englishlang[i].numeric)
               return englishlang[i].text;
      }
   } else {
         for (i = 0; englishlang[i].numeric >= 0; i++)
            if (numeric == englishlang[i].numeric)
               return englishlang[i].text;
   }
   /* This should never happen, no text, however if it does send reply back to client. */
   sprintf(notext, "Reply text position \2%d\2 was not found or is corrupt.", numeric);
   return notext;
}

/*************************************************************************/

#endif

/*************************************************************************/
